<p-panel header="Report Posting Jurnal" [toggleable]="false">
    <div style="margin-top: 7px; width: 100%;">
        <div class="ui-g">
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <label>Date From</label>
                    <div>
                        <p-calendar 
                        [showIcon]="true"
                        [(ngModel)]="tgl1"
                        ></p-calendar>
                    </div>
                </div>
        
                <div class="ui-g-4">
                    <label>Date Thru</label>
                    <div>
                        <p-calendar 
                        [showIcon]="true"
                        [(ngModel)]="tgl2">
                        </p-calendar>
                    </div>
                </div>
            </div>

            <div class="ui-g-6"> 
                <label class="form-control-label" for="type">Jurnal Type</label>
                <select class="form-control" id="type" name="type" [(ngModel)]="reportType">
                    <option [ngValue]="''"></option>
                    <option [ngValue]="typeOption.label" *ngFor="let typeOption of types;">{{typeOption.label}}</option>
                </select>    
            </div>
            <br>
            <div class="ui-g-6"> 
                <label class="form-control-label" for="jurnal_name">Journal Name</label>
                <select class="form-control" id="jurnal_name" name="jurnal_name" [(ngModel)]="journal">
                    <option [ngValue]="''"></option>
                    <option [ngValue]="journalOption.description" *ngFor="let journalOption of journals; trackBy: trackinternalById">{{journalOption.description}}</option>
                </select>
                
            </div>
            <br>
            <div class="ui-g-6"> 
                <label class="form-control-label" for="field_internal">Dealer Name</label>
                <select class="form-control" id="field_internal" name="internal" [(ngModel)]="internal">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals">{{internalOption.organization.name}}</option>
                </select>
                
            </div>
    
            <div class="ui-g-12">
                <div class="ui-g-4">                        
                    <button type="button"
                        class="btn btn-primary btn-block"
                        (click)="printC(tgl1, tgl2, reportType, journal, internal)">
                        <span class="fa fa-print"></span>&nbsp;Print
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div style="margin-bottom: 10px;"></div>
    </p-panel>